# Function Tickets Function Tickets ## Creates a new function ticket record that does not already exist. - [POST /functionTickets/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-tickets/createfunctionticket.md): This method will auto-generate an ID and create a new function ticket. If an ID is specified for the function ticket, an error will be thrown. ## Execute Batch Operations - [POST /functionTickets/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-tickets/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified event_contact_id - [GET /functionTickets/{tenantId}/eventContact/{eventId}/{idOfContact}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-tickets/listticketforcontactandevent.md): Returns a list of records with the specified event_contact_id ## Returns a list of records with the specified function_id - [GET /functionTickets/{tenantId}/function/{function_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-tickets/listticketsbyfunctionid.md): Returns a list of records with the specified function_id ## Returns a function ticket from the system by its ID. - [DELETE /functionTickets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-tickets/deletefunctionticket.md): This method will delete a function ticket with the specified ID. ## Returns a function ticket from the system by its ID. - [GET /functionTickets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-tickets/getfunctionticket.md): This method will look up a function ticket by the specified ID and return it back. ## Partially updates a function ticket with the specified ID. - [PATCH /functionTickets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-tickets/patchfunctionticket.md): This method will patch an existing function ticket with the specified ID, using the HTTP PATCH specification. ## Updates a function ticket with the specified ID. - [PUT /functionTickets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-tickets/updatefunctionticket.md): This method will update an existing function ticket with the specified ID.